Bug 1027380 - Review Request: libxshmfence - Shared memory fences for X11
Review Request: libxshmfence - Shared memory fences for X11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:08 EST by Adam Jackson
Modified: 2013-12-13 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version: libxshmfence-1.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:46:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2013-11-06 12:08:53 EST
Spec URL: http://ajax.fedorapeople.org/libxshmfence/libxshmfence.spec
SRPM URL: http://ajax.fedorapeople.org/libxshmfence/libxshmfence-1.0-1.fc20.src.rpm
Description: Shared memory fence support library for X11, needed for DRI3.
Fedora Account System Username: ajax
Comment 1 Kevin Fenzi 2013-11-06 15:35:19 EST
I'll review... look for a full review later today or tomorrow...
Comment 2 Kevin Fenzi 2013-11-06 15:52:10 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (MIT)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b4437ce302bd6c3f4abda3d9330ddcf9  libxshmfence-1.0.tar.bz2
b4437ce302bd6c3f4abda3d9330ddcf9  libxshmfence-1.0.tar.bz2.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Headers/static libs in -devel subpackage. 
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
See below - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Might ask upstream to toss a copy of the MIT license in there if/when
they do more releases. Nonblocker

2. This package owns /usr/include/X11, but there's no more sane package 
it could depend on to own that currently, so not a blocker. 

3. rpmlint says: 
libxshmfence.x86_64: W: no-documentation
libxshmfence-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
Can be ignored. 

I don't see any blockers, so this package is APPROVED.
Comment 3 Adam Jackson 2013-11-13 09:13:47 EST
New Package SCM Request
=======================
Package Name: libxshmfence
Short Description: Shared memory fences for X11
Owners: ajax
Branches: f20
InitialCC:
Comment 4 Gwyn Ciesla 2013-11-13 09:26:28 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-11-18 12:37:17 EST
libxshmfence-1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libxshmfence-1.0-1.fc20
Comment 6 Fedora Update System 2013-11-18 15:18:37 EST
Package libxshmfence-1.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxshmfence-1.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21618/libxshmfence-1.0-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-13 22:46:07 EST
libxshmfence-1.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.